package experiments;

import org.junit.Assert;
import org.junit.Test;

import compute.Function;

import data.Matrix;

public class ParallelTest {
    public static final int SIZE = 100;
    
	@Test
	public void decompositionTest( ) {
		Parallel mock = new Parallel( );
		Function duplicate = new Duplication( );
		Matrix test, copy;
		(test = new Matrix(SIZE, SIZE)).random( );
		copy = test.clone( );
		mock.processMatrix(test, duplicate);
		mock.processTriangular(copy, duplicate);
		Assert.assertEquals(test, copy);
	}

}
